ACL_STRIP_NP(3)

NAME
acl_is_trivial_np - determine whether ACL is trivial

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_is_trivial_np(const acl_t aclp, int *trivialp);

DESCRIPTION
The acl_is_trivial() function determines whether the ACL pointed to by the argument acl is trivial. Upon successful completion, the location referred to by the argument trivialp will be set to 1, if the ACL aclp points to is trivial, or 0 if it's not.

ACL is trivial if it can be fully expressed as a file mode without loosing any access rules. For POSIX.1e ACLs, ACL is trivial if it has the three required entries, one for owner, one for owning group, and one for other. For NFSv4 ACLs, ACL is trivial if is identical to the ACL generated by acl_strip_np(3) from the file mode. Files that have non-trivial ACL have a plus sign appended after mode bits in "ls -l" output.

RETURN VALUES

SEE ALSO
acl(3), posix1e(3)

STANDARDS
POSIX.1e is described in IEEE POSIX.1e draft 17. Discussion of the draft continues on the cross-platform POSIX.1e implementation mailing list. To join this list, see the FreeBSD POSIX.1e implementation page for more information.

HISTORY
POSIX.1e support was introduced in FreeBSD 4.0. The acl_is_trivial_np() function was added in FreeBSD 8.0.

AUTHORS
Edward Tomasz Napierala <trasz@FreeBSD.org>.